package org.adoxx.pn.simulation.handlers;

import org.adoxx.pn.PetriNet;
import org.adoxx.pn.PetriNet.TR;

public interface SimulationListenerI {
    void simulationStarted(PetriNet petriNet) throws Exception;
    void transitionFiredEvent(TR transitionFired) throws Exception;
    void simulationEnded(PetriNet petriNet) throws Exception;
}
